Subject: Re: [PATCH] git-compat-util: do not step on MAC_OS_X_VERSION_MIN_REQUIRED

From: Junio C Hamano <[email-masked]>
Date: Fri, 06 Feb 2015 12:05:28 -0800

"Kyle J. McKay" <[email-masked]> writes:

> Actually I just tested it.  If we #undef it we could end up producing  
> these:
>
>    error: syntax error before DEPRECATED_ATTRIBUTE
>
> So I think it needs to stay #define'd to nothing to be safe in case  
> anything later on ends up including stuff that uses it.

Doesn't the fact that your test failed indicates that it is not jsut
"to be safe in case" but is required for correctness?

The first hit for "MAC_OS_X_VERSION_MIN_REQUIRED" was this:

  https://opensource.apple.com/source/CarbonHeaders/CarbonHeaders-18.1/AvailabilityMacros.h

which marks quite a many macros to that value.  I do not know what
changes they make to openssl/*.h (which is included just after the
above header is included, but I would imagine that is where the
AVAILABLE_MAC_OS_X_VERSION_XXX_AND_LATER_BUT_DEPRECATED_IN_MAC_OS_VERSION_YYY
macros are checked and annoying warnings that are being squelched by
the previous change are given?